# Method: edits.tracks.create

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/create#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/create#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/create#body.aspect)
- [TrackConfig](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/create#TrackConfig)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/create#TrackConfig.SCHEMA_REPRESENTATION)
- [TrackType](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/create#TrackType)
- [FormFactor](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/create#FormFactor)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/create#try-it)

Creates a new track.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/edits/{editId}/tracks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. Package name of the app. |
| `editId` | `string` Required. Identifier of the edit. |

### Request body

The request body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/create#TrackConfig`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks#Track`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`

## TrackConfig

Configurations of the new track.

| JSON representation |
|---|
| ``` { "track": string, "type": enum (`https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/create#TrackType`), "formFactor": enum (`https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/create#FormFactor`) } ``` |

| Fields ||
|---|---|
| `track` | `string` Required. Identifier of the new track. For default tracks, this field consists of the track alias only. Form factor tracks have a special prefix as an identifier, for example `wear:production`, `automotive:production`. This prefix must match the value of the `formFactor` field, if it is not a default track. [More on track name](https://developers.google.com/android-publisher/tracks#ff-track-name) |
| `type` | ``enum (`https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/create#TrackType`)`` Required. Type of the new track. Currently, the only supported value is closedTesting. |
| `formFactor` | ``enum (`https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/create#FormFactor`)`` Required. Form factor of the new track. Defaults to the default track. |

## TrackType

Available types for the new track.

| Enums ||
|---|---|
| `TRACK_TYPE_UNSPECIFIED` | Fallback value, do not use. |
| `CLOSED_TESTING` | Closed testing track. |

## FormFactor

Available form factors for the new track.

| Enums ||
|---|---|
| `FORM_FACTOR_UNSPECIFIED` | Fallback value, do not use. |
| `DEFAULT` | Default track. |
| `WEAR` | Wear form factor track. |
| `AUTOMOTIVE` | Automotive form factor track. |